<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>User list</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-2">
                  <button type="submit" class="btn btn-sm btn-primary blue"
                    [routerLink]="['/admin/role-management/addnew-user']">
                    <i aria-hidden="true" class="fa fa-plus"></i> Add new user</button>
                </div>

                <div class="col-sm-3 col-md-3 text-center" *ngIf="disabledCompany">
                  <mat-select [(ngModel)]="company_id_list" (change)="setCompanyList($event);" placeholder="Company"
                    class="form-control" multiple>
                    <mat-option *ngFor="let company of companyData" [value]="company._id">{{company.company_name}}
                    </mat-option>
                  </mat-select>
                </div>

              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
                  <thead>
                    <tr>
                      <th scope="col">
                        Email
                      </th>
                      <th scope="col">
                        First Name
                      </th>
                      <th scope="col">
                        Last Name
                      </th>
                      <th scope="col">
                        Role
                      </th>
                      <th scope="col">
                        Phone
                      </th>
                      <th scope="col">
                        Priority
                      </th>
                      <th scope="col">
                        Actions
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let acl of aclList">
                      <ng-container *ngIf="!acl.is_deleted">
                        <td>
                          {{acl.email}}
                        </td>
                        <td>
                          {{acl.firstname}}
                        </td>
                        <td>
                          {{acl.lastname}}
                        </td>
                        <td>
                          <ng-container *ngIf="acl.role">
                            {{acl.role.role}}
                          </ng-container>
                        </td>
                        <td>
                          {{acl.phone_number}}
                        </td>
                        <td>
                          {{acl.priority?acl.priority:"Not set"}}
                        </td>
                        <td>
                          <button type="submit" class="btn btn-sm btn-primary blue"
                            [routerLink]="['/admin/role-management/edit-user', acl._id]">Edit</button>
                          <button type="submit" class="btn btn-sm btn-primary green"
                            [routerLink]="['/admin/role-management/change-password', acl._id]">Update
                            Password</button>
                          <ng-container *ngIf="disabledDelete">
                            <button type="submit" class="btn btn-sm btn-primary red"
                              (click)="openDialog(acl._id)">Delete</button>
                          </ng-container>
                        </td>
                      </ng-container>
                    </tr>
                  </tbody>
                </table>
                <br>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>